Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.ui
Class ExportConfigurationPanel

    java.lang.Object
      edu.stanford.smi.protege.ui.ExportConfigurationPanel

    public class ExportConfigurationPanel

extends Object

Constructor Summary
`ExportConfigurationPanel(KnowledgeBase kb)`

Method Summary
`JPanel` | `getConfigPanel()`
`File` | `getExportedFile()`
`Collection<Slot>` | `getExportedSlots()`
`String` | `getExportMetadataText()`
`Collection<Slot>` | `getPossibleSlots()`
`String` | `getSlotDelimiter()`
`String` | `getSlotValuesDelimiter()`
`boolean` | `isExportBrowserTextEnabled()`
`boolean` | `isExportHeaderEnabled()`
`boolean` | `isExportMetadataEnabled()`
`boolean` | `isExportTypesEnabled()`
`protected void` | `onEditText()`
`void` | `setExportMetadata(String text)`
`void` | `setPossibleSlots(Collection<Slot> possibleSlots)` Give a chance to other parts of the code to set the slots that will show up when clicking on the "Add Slot" button

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportConfigurationPanel

    public ExportConfigurationPanel(KnowledgeBase kb)

Method Detail

### getConfigPanel

    public JPanel getConfigPanel()

### onEditText

    protected void onEditText()

### isExportTypesEnabled

    public boolean isExportTypesEnabled()

### getExportedSlots

    public Collection<Slot> getExportedSlots()

### getExportedFile

    public File getExportedFile()

### isExportHeaderEnabled

    public boolean isExportHeaderEnabled()

### isExportBrowserTextEnabled

    public boolean isExportBrowserTextEnabled()

### isExportMetadataEnabled

    public boolean isExportMetadataEnabled()

### getSlotDelimiter

    public String getSlotDelimiter()

### getSlotValuesDelimiter

    public String getSlotValuesDelimiter()

### getPossibleSlots

    public Collection<Slot> getPossibleSlots()

### setPossibleSlots

    public void setPossibleSlots(Collection<Slot> possibleSlots)

  Give a chance to other parts of the code to set the slots that will show up when clicking on the "Add Slot" button

  Parameters:
    `possibleSlots` -

### getExportMetadataText

    public String getExportMetadataText()

### setExportMetadata

    public void setExportMetadata(String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.